fbpx
🤝 CYBER MONDAY & FRIDAY SALE RETURNS - 50% OFF all plans! 🤝 Grab it Now

update broken my product images

MeM Web Project

hi,

i’ve installed your plugin Additional Variation Images Gallery for WooCommerce 1.1.42 and pro version 1.1.18 and my site is working right.

if i try to update Additional Variation Images Gallery for WooCommerce to version 1.3.20 i’ve a lot of problems:

  • in this product page i can’t see product image at all (blank space) https://www.ghiblievo.com/product/ghibli-evo-hub-wall-mounted-hair-dryer/
  • in this page https://www.ghiblievo.com/product/pro-excel-ionic-professional-hair-dryer-for-hotel/ i can see product image, but thumbnails aren’ srollable but all images are showed in grid mode

now i’ve reinstalled 1.142 version.

my wordpress version is 6.3, woocommerce version 8.1.1 and i’ve wpml

let me know

Hakik Zaman

Hi MeM,

Thanks for reaching out to us. Did you update only the Free version?

If yes, it will not work with the old Pro version. If you update the Free version you have to update the Pro version to get it to work.

You are using a version that we released nearly 3 years ago. The whole code structure is already changed.

I hope it will clear up your confusion.

Thank You

MeM Web Project

hi,

thanks for your reply, where is the new pro version? i’ve not update button…

 

regards

MeM Web Project

thanks a lot, i’m updating.

i’ll let you know

best regards

MeM Web Project

done.

but i can’t see variation images, if i click on button variation nothing is happening. i have activated free and pro plugins, right?

 

Hakik Zaman

Hi MeM,

I have visited your site. The swatches are not clickable on your site. That’s why images are not changing.

You have console errors from an older jQuery version: https://paste.pics/PGS1N

For your information, jQuery is a built-in library of WordPress. You are forcing the jQuery again inside your site.

Please check this screenshot: https://paste.pics/PGS4O

I can see you are using WordPress 6.3.1 and the default jQuery version of WordPress 6.3.1 is 3.7.0. Please check this screenshot: https://paste.pics/PGS41

Also, you can check this official article on WordPress to learn about the jQuery version: https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/

Please use the default jQuery version to avoid any abnormal activities on your site.

Thank You

Hakik Zaman

Hi MeM,

After visiting the link I found the jQuery error: https://paste.pics/PGSN1

Please contact your developer and share my last reply with him/her.

Note: You are forcing jQuery again, jQuery is already inside WordPress.

Thank You

Hakik Zaman

Hi MeM,

I can see you are still pushing additional jQuery using a CDN: https://paste.pics/PGTKC

As I said before, please don’t add any extra jQuery. Because jQuery is a built-in library of WordPress Core.

Thank You

Hakik Zaman

Hi MeM,

Please add the same height images to get rid of the issue. It depends on the image dimensions you have added to your store.

We really get excited & honored when you use our plugin on your site.

If you found my support helpful, could you please leave your valuable reviews here: https://wordpress.org/support/plugin/woo-variation-swatches/reviews/?filter=5

https://wordpress.org/support/plugin/woo-variation-gallery/reviews/?filter=5

Your rating keeps us inspired.

Thank You